POST
/pages/sidebar-pagesGet pages for sidebar navigation
Lists pages for sidebar navigation in a space or beneath a parent page. Supply spaceId to list root-level pages or pageId to retrieve a page's children. Use cursor and beforeCursor to navigate pages, and query to filter the results.
- IdempotentThe SDK sends
Idempotency-Key, so a retried request is only applied once.
Options for selecting, filtering, and paginating sidebar pages. Supply spaceId or pageId.
pageIdstringoptional
Parent page ID. If provided, returns the children of this page for lazy-loading the sidebar tree.
spaceIdstringoptional
Space to list pages for. Returns root-level pages when `pageId` is not provided.
adminViewbooleanoptional
If `true`, the list includes all items the admin has global permissions to access by virtue of their admin role.
beforeCursorstringoptional
Set to `prevCursor` from the previous call to list the previous page. Ignored when `cursor` is also supplied.
cursorstringoptional
Set cursor to `nextCursor` returned by the previous call to list items in the next page.
limitintegeroptional
Maximum number of items to return per page.
querystringoptional
Optional text filter to search within the listed items (e.g. filter members by name).
200Returns the pages for sidebar navigation.
dataobjectoptional
statusintegeroptional
successbooleanoptional
400Returned when neither `spaceId` nor `pageId` is supplied.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
403Returned when the authenticated user does not have access to the requested pages.
errorstringoptional
Reason phrase, for example `Bad Request`.
messagestringoptional
statusCodeintegeroptional
Error handling
A 400 is returned when both spaceId and pageId are omitted. spaceId must be a UUID. A 403 is returned when the authenticated user does not have access to the requested pages.